=== debian/changelog ===
vxl (1.14.0-18) unstable; urgency=low

  * Fix compilation with gcc 4.7. Closes: #674350
  * Use CPPFLAGS for hardening (using dh/compat 9)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 19 Jun 2012 13:40:50 +0200

vxl (1.14.0-17) unstable; urgency=low

  * Disable test suite for now
  * Fix test suite compilation on kFreeBSD. Closes: #671653

 -- Mathieu Malaterre <malat@debian.org>  Sat, 05 May 2012 21:39:39 +0200

vxl (1.14.0-16) unstable; urgency=low

  * Use my @d.o alias
  * Set LDFLAGS to remove lintian warnings
  * Update d/copyright to use dep5
  * Bump Std-Vers to 3.9.3, no changes needed
  * Explicitly prefer libtiff5-dev in d/control. Closes: #665026
  * Fix compilation with png1.5. Closes: #650570
  * Fix lintian warning about FSF address
  * Make sure to compile using 2.7 (3.2 generates FTBFS)
  * Activate test-suite, remove broken tests for now

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 May 2012 14:53:49 +0200

vxl (1.14.0-15) unstable; urgency=low

  * Remove inclusion of doxygen.cmake. Closes: #656922

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 23 Jan 2012 11:07:33 +0100

vxl (1.14.0-14) unstable; urgency=low

  [ Andreas Tille ]
  * debian/contol
    - Added myself to Uploaders
    - Remove libavifile-0.7-dev from Build-Depends
      Closes: #647787

  [ Mathieu Malaterre ]
  * Remove libav patch, use upstream patch instead.
  * Fix missing libraries.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 20 Dec 2011 15:23:03 +0100

vxl (1.14.0-13) unstable; urgency=low

  * Fix videodev2.h compilation on kFreeBSD. Closes: #651464

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 11 Dec 2011 12:22:27 +0100

vxl (1.14.0-12) unstable; urgency=low

  * Another attempt at fixing alpha building
  * Add a patch to install doxygen.cmake. Closes: #651314

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 07 Dec 2011 22:15:15 +0100

vxl (1.14.0-11) unstable; urgency=low

  * Fix another compilation issue on alpha
  * Move pre-build operations in auto_configure, since it was broken 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sat, 22 Oct 2011 01:46:01 -0400

vxl (1.14.0-10) unstable; urgency=low

  * Fix compilation on alpha. Closes: #643643
  * Redo d/rules. remove tests for now
  * Compiles DC1394 plugin only on linux-any

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 28 Sep 2011 12:13:03 +0200

vxl (1.14.0-9) unstable; urgency=low

  * Rename libmcal to libmul_mcal. Closes: #639269
  * Fix compilation with libav/0.7.2. Closes: #638251
  * Bump Standard Version to 3.9.2, no changes needed
  * Compiles DC1394 plugin

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 26 Aug 2011 11:13:58 +0200

vxl (1.14.0-8) unstable; urgency=low

  * Remove B-D on linux-libc-dev since videodev was deprecated in 2.6.38 anyway
  * Remove B-D on libdc1394-22-dev to allow building on kfreedbsd-*

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 05 May 2011 10:40:29 +0200

vxl (1.14.0-7) unstable; urgency=low

  * Fix compilation on armel. Closes: #624512
  * Explicitly B-D on libav-dev files

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 29 Apr 2011 09:38:20 +0200

vxl (1.14.0-6) unstable; urgency=low

  * Fix compilation on armel. Closes: #624410

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 28 Apr 2011 10:46:46 +0200

vxl (1.14.0-5) unstable; urgency=low

  * Rename libs to prevent conflicts. Closes: #623511, #624174

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 26 Apr 2011 11:56:39 +0200

vxl (1.14.0-4) unstable; urgency=low

  * Add another patch for non-intel platform

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 19 Apr 2011 21:29:19 +0200

vxl (1.14.0-3) unstable; urgency=low

  * Remove sse2 instruction from non-sse2 platforms

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 19 Apr 2011 08:32:40 +0200

vxl (1.14.0-2) unstable; urgency=low

  * Start turning more options to ON. Closes: #580671
  * Update Standard Version to 3.9.1 (no changes needed)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 07 Apr 2011 17:19:34 +0200

vxl (1.14.0-1) unstable; urgency=low

  [Mathieu Malaterre]
  * New upstream
  * Update standard version to 3.8.4 (no change needed)
  
  [Andreas Tille]
  * Using Dpkg source format version ‘3.0 (quilt)’ (debian/source/format)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 03 May 2010 17:56:56 +0200

vxl (1.13.0-2) unstable; urgency=low

  * Use system expat (Closes: #560945) 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 13 Dec 2009 11:49:36 +0100

vxl (1.13.0-1) unstable; urgency=low

  * Initial release (Closes: #390999)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 30 Sep 2009 14:07:28 +0200
