=== debian/control ===
Source: vxl
Homepage: http://vxl.sf.net
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <malat@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.4.5), libtiff5-dev | libtiff-dev,
 libdcmtk2-dev, libpng-dev, libjpeg-dev, zlib1g-dev, libexpat-dev, python-dev (>= 2.6.6-3~),
 libgeotiff-dev, libcoin60-dev, libdc1394-22-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libqt4-dev, libxerces-c-dev, libglu-dev, libqt4-opengl-dev,
 libmpeg2-4-dev, libswscale-dev, libavformat-dev, libavcodec-dev
Standards-Version: 3.9.3
X-Python-Version: 2.7
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/vxl/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/vxl/trunk/

Package: libvxl1.14
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: C++ Libraries for Computer Vision Research
 VXL (the Vision-something-Libraries) is a collection of C++ libraries
 designed for computer vision research and implementation. It was created
 from TargetJr and the IUE with the aim of making a light, fast and
 consistent system. VXL is written in ANSI/ISO C++ and is designed to be
 portable over many platforms.

Package: libvxl1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvxl1.14 (= ${binary:Version})
Provides: libvxl-dev
Description: C++ Libraries for Computer Vision Research
 VXL (the Vision-something-Libraries) is a collection of C++ libraries
 designed for computer vision research and implementation. It was created
 from TargetJr and the IUE with the aim of making a light, fast and
 consistent system. VXL is written in ANSI/ISO C++ and is designed to be
 portable over many platforms.
 .
 This package contains the development files needed to build your own
 VXL applications.
