=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
SOVERSION = $(shell echo $(VER_FULL) | cut -f1-2 -d.)
VER_MAJOR = $(shell echo $(VER_FULL) | cut -f1   -d.)

UPSTREAM_SRC = vxl-$(VER_FULL)
DEBIAN_SRC_DIR = vxl-$(VER_FULL)
DEBIAN_SRC_TAR = vxl_$(VER_FULL).orig.tar.gz

# CMAKE_SKIP_RPATH=OFF is required when BUILD_TESTING=ON
CMAKE_EXTRA_FLAGS = \
	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DCMAKE_SKIP_RPATH:BOOL=OFF \
	-DBUILD_SHARED_LIBS:BOOL=ON \
	-DVXL_USING_NATIVE_ZLIB:BOOL=ON \
	-DVXL_USING_NATIVE_JPEG:BOOL=ON \
	-DVXL_USING_NATIVE_MPEG2:BOOL=ON \
	-DVXL_USING_NATIVE_PNG:BOOL=ON \
	-DVXL_USING_NATIVE_TIFF:BOOL=ON \
	-DVXL_USING_NATIVE_SHAPELIB:BOOL=ON \
	-DVXL_USING_NATIVE_GEOTIFF:BOOL=ON \
	-DVXL_USING_NATIVE_EXPAT:BOOL=ON \
	-DBUILD_VGUI:BOOL=ON \
	-DBUILD_BGUI3D:BOOL=ON \
	-DVXL_BUILD_DCMTK:BOOL=ON \
	-DBUILD_OXL:BOOL=ON \
	-DBUILD_CORE_GEOMETRY:BOOL=ON \
	-DBUILD_CORE_IMAGING:BOOL=ON \
	-DBUILD_CORE_NUMERICS:BOOL=ON \
	-DBUILD_CORE_PROBABILITY:BOOL=ON \
	-DBUILD_CORE_SERIALISATION:BOOL=ON \
	-DBUILD_CORE_UTILITIES:BOOL=ON \
	-DBUILD_CORE_VIDEO:BOOL=ON \
	-DBUILD_EXAMPLES:BOOL=OFF \
	-DPYTHON_INCLUDE_DIR="/usr/include/python2.7"   \
	-DPYTHON_LIBRARY="/usr/lib/python2.7/config/libpython2.7.so"    \
	-DBUILD_TESTING:BOOL=ON

pkg_lib = libvxl$(SOVERSION)
pkg_dev = libvxl$(VER_MAJOR)-dev
#pkg_examples = vxl$(VER_MAJOR)-examples

%:
	dh $@ --buildsystem=cmake --parallel --with python2

override_dh_auto_configure:
	# remove duplicate from bprb_parameters+unsigned_int-.cxx
	rm -f $(CURDIR)/contrib/brl/bpro/bprb/Templates/bprb_parameters+unsigned-.cxx
	# remove duplicate from bvxm_voxel_grid+bsta_num_obs+bsta_mixture_fixed+bsta_num_obs+bsta_gauss_f1-.3---.cxx
	rm -f $(CURDIR)/contrib/brl/bseg/bvxm/grid/Templates/bvxm_voxel_grid+bsta_num_obs+bsta_mixture_fixed+bsta_num_obs+bsta_gaussian_sphere+float.1--.3---.cxx
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_lintian:
	echo "$(pkg_lib): package-name-doesnt-match-sonames" > debian/$(pkg_lib).lintian-overrides
	dh_lintian

override_dh_install:
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/lib*.so.* usr/lib
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/lib*.so usr/lib
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/share/vxl/cmake/*.cmake 

# too many tests failure, with erratic behavior
# http://bugs.debian.org/671601
override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --repack
