=== debian/watch ===
version=3
http://sf.net/vxl/vxl-([\d\.]+)\.zip
